<?php
/**
 * This file manages the pagination for displaying the user authentication report.
 *
 * @package miniOrange_LDAP_AD_Integration
 * @subpackage Main
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
// Adding Required files.
require_once dirname( __FILE__ ) . '/class-mo-ldap-user-auth-reports.php';

if ( ! class_exists( 'MO_LDAP_Table_Pagination' ) ) {
	/**
	 * MO_LDAP_Table_Pagination : Manages pagination for the user authentication reports.
	 */
	class MO_LDAP_Table_Pagination {

		/**
		 * Instance
		 *
		 * @var mixed
		 */
		public static $instance;

		/**
		 * Users obj
		 *
		 * @var mixed
		 */
		public $users_obj;

		/**
		 * __construct
		 *
		 * @return void
		 */
		public function __construct() {
			add_action( 'admin_menu', array( $this, 'screen_option' ) );
		}

		/**
		 * Function plugin_settings_page : Plugin settings page.
		 *
		 * @return void
		 */
		public function plugin_settings_page() {
			?>
		<div class="wrap">

			<div id="poststuff">
				<div id="post-body" class="metabox-holder">
					<div id="post-body-content">
						<div class="meta-box-sortables ui-sortable" style="overflow:auto; max-height: 400px;">
							<?php
							$this->users_obj->prepare_items();
							$this->users_obj->display();
							?>
						</div>
					</div>
				</div>
				<br class="clear">
			</div>
		</div>
			<?php
		}

		/**
		 * Function screen_option : Screen option.
		 *
		 * @return void
		 */
		public function screen_option() {
			$this->users_obj = new MO_LDAP_User_Auth_Reports();
		}

		/**
		 * Function get_instance : Get an instance of the object.
		 *
		 * @return object
		 */
		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self();
			}

			return self::$instance;
		}
	}
}
add_action(
	'plugins_loaded',
	function () {
		MO_LDAP_Table_Pagination::get_instance();
	}
);
