<?php
/**
 * This file contains class with pointers used for plugin tour.
 *
 * @package miniOrange_LDAP_AD_Integration
 * @subpackage lib
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
// Adding the required files.
require_once 'class-mo-ldap-basic-enum.php';

if ( ! class_exists( 'MO_LDAP_Enum_Pointers' ) ) {
	/**
	 * MO_LDAP_Enum_Pointers
	 */
	class MO_LDAP_Enum_Pointers extends MO_LDAP_Basic_Enum {

		/**
		 * Var service_provider_ldap
		 *
		 * @var array
		 */
		public static $service_provider_ldap = array(
			'custom_admin_pointers4_8_52_miniorange-fallback-login',
			'custom_admin_pointers4_8_52_miniorange-select-your-ldap-directory',
			'custom_admin_pointers4_8_52_miniorange-select-your-ldap-server',
			'custom_admin_pointers4_8_52_miniorange-ldap-server-url',
			'custom_admin_pointers4_8_52_miniorange-select-your-ldap-server-port',
			'custom_admin_pointers4_8_52_miniorange-ldap-anony',
			'custom_admin_pointers4_8_52_miniorange-ldap-server-username',
			'custom_admin_pointers4_8_52_miniorange-ldap-server-password',
			'custom_admin_pointers4_8_52_miniorange-ldap-search-base',
			'custom_admin_pointers4_8_52_miniorange-ldap-search-filter',
			'custom_admin_pointers4_8_52_miniorange-test-auth',
			'custom_admin_pointers4_8_52_configure-ldap-service-restart-tour',
		);

		/**
		 * Var role_mapping_ldap
		 *
		 * @var array
		 */
		public static $role_mapping_ldap = array(
			'custom_admin_pointers4_8_52_miniorange-default-role-mapping',
			'custom_admin_pointers4_8_52_miniorange-enable-role-mapping',
			'custom_admin_pointers4_8_52_role-mapping-ldap-tour',
		);

		/**
		 * Var attribute_mapping_ldap
		 *
		 * @var array
		 */
		public static $attribute_mapping_ldap = array(
			'custom_admin_pointers4_8_52_minorange-ldap-attr-mail-map',
			'custom_admin_pointers4_8_52_miniorange-test-attr-config',
			'custom_admin_pointers4_8_52_miniorange-redirection-ldap-restart-tour',
		);

		/**
		 * Var export_import_config_ldap
		 *
		 * @var array
		 */
		public static $export_import_config_ldap = array(
			'custom_admin_pointers4_8_52_minorange-ldap-save-config',
			'custom_admin_pointers4_8_52_miniorange-ldap-export-feature',
			'custom_admin_pointers4_8_52_miniorange-redirection-ldap-config-restart-tour',
		);

		/**
		 * Var ldap_plugin_tour
		 *
		 * @var array
		 */
		public static $ldap_plugin_tour = array(
			'custom_admin_pointers4_8_52_miniorange-default-tab',
			'custom_admin_pointers4_8_52_miniorange-role-mapping-tab',
			'custom_admin_pointers4_8_52_miniorange-attribute-mapping-tab',
			'custom_admin_pointers4_8_52_miniorange-signin-settings-tab',
			'custom_admin_pointers4_8_52_miniorange-multiple-directories-tab',
			'custom_admin_pointers4_8_52_miniorange-configuration-settings-tab',
			'custom_admin_pointers4_8_52_miniorange-users-report-tab',
			'custom_admin_pointers4_8_52_miniorange-licensing-plans-tab',
			'custom_admin_pointers4_8_52_miniorange-troubleshooting-tab',
			'custom_admin_pointers4_8_52_miniorange-account-setup-tab',
			'custom_admin_pointers4_8_52_miniorange-feature-request-tab',
			'custom_admin_pointers4_8_52_miniorange-premium-plugin-trial-tab',
			'custom_admin_pointers4_8_52_miniorange-add-on-tab',
			'custom_admin_pointers4_8_52_miniorange-features-tab',
			'custom_admin_pointers4_8_52_miniorange-licensing-tab',
			'custom_admin_pointers4_8_52_miniorange-restart-plugin-tour',
		);
	}
}
